#!/bin/bash
. /usr/share/idzor/setup/vars.cfg
. /etc/os-release
export OS=$ID
export SCRIPTPATH="$( cd "$( dirname $(realpath $0) )" >/dev/null && pwd )"
export TMPDIR=`mktemp -d`
if [ -f /etc/cpbx/apply_patches.conf ]
then
	export DBHOST=`cat /etc/cpbx/apply_patches.conf | grep "hostname" | cut -d '=' -f 2 | xargs`
	export DBUSER=`cat /etc/cpbx/apply_patches.conf | grep "username" | cut -d '=' -f 2 | xargs`
	export DBPASSWORD=`cat /etc/cpbx/apply_patches.conf | grep "password" | cut -d '=' -f 2 | xargs`
else 
  export DBHOST="localhost"
  export DBUSER="root"
	export DBPASSWORD=""
fi

# When using localhost, use root access
# because ombutel user does not have right to create new database.
if [ "$DBHOST" = "localhost" ]
then
	DBHOST='127.0.0.1'
	DBUSER='root'
	DBPASSWORD=''
fi

mysqlcmd="mysql -u root"

if [ "$DBHOST" != "127.0.0.1" ]
then
	if [ "$DBPASSWORD" != "" ]
	then
		mysqlcmd="mysql -h $DBHOST -u $DBUSER -p$DBPASSWORD"
	else
		mysqlcmd="mysql -h $DBHOST -u $DBUSER"
	fi	
fi