#!/bin/bash
pushd $(dirname $(readlink -f ${BASH_SOURCE[0]})) > /dev/null
. /usr/share/idzor/setup/include.sh

echo "Creating database $APPDB"

TEMPFILE=`mktemp`
cat > $TEMPFILE <<-EOF
CREATE SCHEMA IF NOT EXISTS $APPDB DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;

GRANT SELECT, INSERT, UPDATE, DELETE ON $APPDB.* TO '$APPDBUSER'@'127.0.0.1' IDENTIFIED BY '$APPDBPASSWD';
GRANT SELECT, INSERT, UPDATE, DELETE ON $APPDB.* TO '$APPDBUSER'@'localhost' IDENTIFIED BY '$APPDBPASSWD';
FLUSH PRIVILEGES;
EOF

$mysqlcmd < $TEMPFILE
rm -f $TEMPFILE

popd >/dev/null