#!/bin/bash
. /usr/share/idzor/setup/include.sh

# exec npm install if needed
if [ -f $APPPATH/bin/package.json ]
then
  echo "Installing NPM deps"
  OLDDIR=`pwd`
  cd $APPPATH/bin
  npm install
  cd $OLDDIR
fi

# now, let's run patchs
bash $APPPATH/setup/update/install_patchs.sh

if [ "$SERVICENAME" != "" ]
then
  systemctl start $SERVICENAME
fi

touch $APPCONFPATH/idzor.lic
chmod 777 $APPCONFPATH/idzor.lic
chmod +x $APPPATH/bin/idzor.php

if [ -L /usr/sbin/idzor ]
then
  echo "Removing old binary link"
  unlink /usr/sbin/idzor
fi
echo "Creating binary link"
ln -s $APPPATH/bin/idzor.php /usr/sbin/idzor

if [ -e /etc/cron.d/idzor ]
then
  rm -f /etc/cron.d/idzor
fi

# Compatibility !!!
if [ -L $APPPATH/idzorlib.php ]
then
  unlink $APPPATH/idzorlib.php
fi
echo "Adding compatibility link"
ln -s $APPPATH/bin/idzorlib.php $APPPATH/idzorlib.php
