#!/bin/bash
. /usr/share/idzor/setup/include.sh
pushd $(dirname $(readlink -f ${BASH_SOURCE[0]})) > /dev/null

if [ "$APPCONFPATH" == "" ]
then
  echo "Warning: no configuration path defined, using /etc/$APPNAME";
  APPCONFPATH="/etc/$APPNAME"
fi
mkdir -p $APPCONFPATH

# now, let's run patchs
echo "Installing patchs"
shopt -s nullglob
for file in patchs/*
do
  filename=`basename $file`
  fileext=${filename##*.}
  touch $APPCONFPATH/patches
  count=$(grep $filename $APPCONFPATH/patches | wc -l)
  if [ $count -eq 0 ]
  then
    case $fileext in
      sql)
        echo "Executing patch $filename"
        $mysqlcmd -B -N $APPDB < $file
        ;;
      php)
        echo "Executing patch $filename"
        php $file
        ;;
      sh)
        echo "Executing patch $filename"
        /bin/bash $file
        ;;
      *)
        echo "Ignored patch $filename"
        ;;
    esac
    echo $filename >> $APPCONFPATH/patches
  fi
done
shopt -u nullglob


popd > /dev/null